Loading...
Searching...
No Matches
WGPUSwapChainDescriptor Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPU_NULLABLE char const * | label
WGPUTextureUsageFlags | usage
WGPUTextureFormat | format
uint32_t | width
uint32_t | height
WGPUPresentMode | presentMode

## Detailed Description

Definition at line 1710 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPUSwapChainDescriptor::nextInChain

Definition at line 1711 of file mini_webgpu.h.

## label

WGPU_NULLABLE char const* WGPUSwapChainDescriptor::label

Definition at line 1712 of file mini_webgpu.h.

## usage

WGPUTextureUsageFlags WGPUSwapChainDescriptor::usage

Definition at line 1713 of file mini_webgpu.h.

## format

WGPUTextureFormat WGPUSwapChainDescriptor::format

Definition at line 1714 of file mini_webgpu.h.

## width

uint32_t WGPUSwapChainDescriptor::width

Definition at line 1715 of file mini_webgpu.h.

## height

uint32_t WGPUSwapChainDescriptor::height

Definition at line 1716 of file mini_webgpu.h.

## presentMode

WGPUPresentMode WGPUSwapChainDescriptor::presentMode

Definition at line 1717 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h